Videos APIEndpoints

Start a file upload

POST
/v1/files

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/files" \  -H "Content-Type: application/json" \  -d '{    "name": "My thumbnail",    "filename": "mythumbnail.jpg",    "content_type": "image/jpeg",    "size": 184856,    "checksum": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",    "folder_id": "6890000000000000000000a1"  }'
{  "id": "0190a0b0-0000-7000-8000-000000000001",  "status": "awaiting_upload",  "upload": {    "url": "https://s3.amazonaws.com/vturb-uploads/org_123/x/original.jpg?x-amz-checksum-sha256=qqq%3D&X-Amz-Signature=abc",    "expires_at": "2026-08-13T12:15:00Z"  },  "complete_url": "/v1/files/0190a0b0-0000-7000-8000-000000000001/upload/completion"}